解决'python -m pip install --upgrade pip' 报错问题

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/cxs123678/article/details/80659273

再安装包的时候提示

You are using pip version 9.0.3, however version 10.0.1 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

而我按照要求运行python -m pip install --upgrade pip 后仍然无法成功升级,提示如下:

(venv) D:\Fish>python -m pip install --upgrade pip
Requirement already up-to-date: pip in d:\fish\venv\lib\site-packages (10.0.1)

于是按照要求将d:\fish\venv\lib\site-packages (10.0.1) 中的pip-10.0.1.dist-info删除,再次运行python -m pip install --upgrade pip 后升级成功,之前不能安装的包也能安装了!

展开阅读全文

没有更多推荐了,返回首页